﻿IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Application.PersonMobileDevice')
BEGIN
CREATE TABLE [Data.Application.PersonMobileDevice] (Id BIGINT NOT NULL PRIMARY KEY ,
[Token] NVARCHAR(MAX) NOT NULL DEFAULT '',
[ApiKey] NVARCHAR(MAX) NOT NULL DEFAULT '',
[DeviceType] INT NOT NULL DEFAULT 0,
[CreatedOn] DATETIME NOT NULL,
[DeletedOn] DATETIME NULL,
[PersonId] BIGINT NOT NULL DEFAULT 0,
FOREIGN KEY (PersonId) REFERENCES [Data.Application.Person](Id))
END
GO
